FASTBASE64.COREUTILS(1)

NAME
fastbase64.coreutils - base64 encode/decode data and print to standard output (coreutils compatible)

SYNOPSIS
fastbase64.coreutils [OPTIONS...] [INPUTFILE]

DESCRIPTION
fastbase64.coreutils encodes or decodes base64 data using the high-performance simdutf library, with options compatible with GNU coreutils base64, plus clearly marked fastbase64-specific extensions. By default, it encodes binary input to base64 output. On large files, it can be several times faster than standard base64 tools.

fastbase64 extension (not present in GNU coreutils base64): If a second filename is provided, it is used as the output file. Otherwise, output goes to standard output. The -o option takes precedence over positional output file.

OPTIONS

-b, --break=NUM
    synonym to --wrap. (not in GNU coreutils base64)

-w, --wrap=NUM
    Wrap encoded lines after NUM characters (default 76). Use 0 to disable line wrapping.

-d, -D, --decode
    Decode input.

-e, --encode
    Encode input (default).

--ignore-garbage
    When decoding, ignore non-alphabet characters.

-i, -n, --noerrcheck
    fastbase64 extension (not present in GNU coreutils base64): when decoding, ignore non-alphabet characters (same as --ignore-garbage).

-h, --help
    Display help message and exit.

-o, --output=FILE
    fastbase64 extension (not present in GNU coreutils base64): output file (default: "-" for stdout).

--version
    Output version information and exit.

EXAMPLES

Encode a file:
    fastbase64.coreutils myfile.txt

Decode base64 data ignoring garbage:
    fastbase64.coreutils -d -i < encoded.txt

SEE ALSO
base64(1), fastbase64(1)

AUTHOR
Written by the simdutf development team.